IF OBJECT_ID('[DREAM].[DimDreamYdelse]','U') IS NOT NULL
BEGIN
SET IDENTITY_INSERT [DREAM].[DimDreamYdelse] ON 
IF NOT EXISTS (SELECT 'T' FROM [DREAM].[DimDreamYdelse] WHERE [DimDreamYdelseID] = -1 )
  INSERT INTO [DREAM].[DimDreamYdelse]([DimDreamYdelseID]) VALUES (-1)
UPDATE [DREAM].[DimDreamYdelse] SET
   [Ydelseskode] = -1
	,[Ydelse] = 'Ukendt ydelse'
	,[ViveHovedydelseskategori] = 'Ukendt ydelse'
	,[SYS_KommuneId] = 999
   WHERE [DimDreamYdelseID] = -1
SET IDENTITY_INSERT [DREAM].[DimDreamYdelse] OFF 
END
GO
